Subject: Re: [PATCH net 1/3] bpf: bpf_out_neigh_v4: Fix nd_tbl NULL dereference when IPv6 is disabled

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Mar 2026 18:50:56 -0800

On Thu, 5 Mar 2026 02:59:27 +0100 Daniel Borkmann wrote:
> >> I presume you mean disable_ipv6_mod which then bails out during the module
> >> load process without error, right? It could be deprecated with a warning so
> >> that it turns into a no-op:  
> > 
> > I believe disabling ipv6 may be legit. Some admins on ipv4 networks may
> > be paranoid and not want to allow any ipv6 traffic if their "firewalls"
> > can only understand IPv6? This is just a guess on my side, but I'm less
> > confident of deprecating the disable knob than =m. I'd be happy if I'm
> > wrong.
> > 
> > To answer the earlier question -- I would prefer to take the fixes now
> > and make IPv6 bool in net-next, feels like too big of a change for rc3
> > :(  
> 
> Makes sense, I think starting this process via net-next is fine and can be
> better justified. Fernando, maybe in that case resend with the unlikely()
> added.

I think Fernando was chiming in because he sent similar patches.
Ricardo, please respin checking ipv6_mod_disabled() ?